// 页面路径：store/index.js 
import Vue from 'vue'
import Vuex from 'vuex'

Vue.use(Vuex);//vue的插件机制

//Vuex.Store 构造器选项
const store = new Vuex.Store({
	state:{//存放状态
		'titleList':[],
		'imgList':[],
		'publicColor':'',
		statusHeight:0
	},
	mutations: {
		updateHeightEv(state, str) {
			state.statusHeight = str;
		},
		updateState(state, payload) {
			// 变更状态
			state.titleList = payload.titleList;
			state.imgList = payload.imgList;
			state.publicColor = payload.publicColor;
		}
	}
})
export default store